# 基于 Raspberry Pico / Pico W (RP2040 FreeRTOS) 的厨房危险(火灾)报警  （Pico W WiFi传输暂时不玩）

* 使用 DS18B20温度传感器  
* 使用 CH4 N55A甲烷气体传感器(进口) (弃用)  
* 使用 PASCO2V01 CO2二氧化碳传感器模块(进口模块暂时买不到！)  
* 使用 MH-Z14B CO2二氧化碳传感器模块(国产)(0 - 5000ppm)  
* 使用 ZE07-CO CO一氧化碳传感器模块(国产)  
* 使用 HC-12 433MHZ传感器模块(国产)  
* 使用 ZC05/ZC13 可燃气体(天然气 CH4)传感器模块(国产)  

## 源码构建

```bash
    # 使用WSL Debian GNU/Linux 12 (bookworm) 构建
    # 确保Pico-SDK环境变量
    export PICO_SDK_PATH=/mnt/c/Users/niuyuling/Desktop/raspberry-pico/SDK/pico-sdk
    export PICO_EXTRAS_PATH=/mnt/c/Users/niuyuling/Desktop/raspberry-pico/SDK/pico-extras
    
    apt install cmake gcc-arm-none-eabi gcc g++
    apt install gdb-multiarch automake autoconf build-essential texinfo libtool libftdi-dev libusb-1.0-0-dev
    
    git clone https://git.aixiao.me/aixiao/Danger-alarm.git
    cd Danger-alarm
    git submodule init
    git submodule update
    mkdir -p SOFTWARE/build
    cd SOFTWARE/build
    #cmake ..
    cmake -DPICO_BOARD=pico_w ..
    make


    # 树莓派Zero W 433MHZ HC-12接收服务端构建
    apt install libmysqlclient-dev
    cd ~
    git clone https://github.com/WiringPi/WiringPi.git
    cd WiringPi
    ./build
    cd ~/Danger-alarm/SERVER/hc-12
    make clean; make
    ./hc-12
    
```

## 展示

电路图：
[ProProject_Danger-alarm_2024-03-21.epro](https://git.aixiao.me/aixiao/Danger-alarm/src/branch/main/HARDWARE/ProProject_Danger-alarm_2024-03-21.epro)  
![brief](HARDWARE/IMG/SHC.png)  

硬件：
![brief](HARDWARE/IMG/HW.jpg)  

同步到Mysql：
![brief](HARDWARE/IMG/db.jpg)  

433MHZ通信：
![brief](HARDWARE/IMG/display.png)  
